;;; guile-xapian --- Guile bindings for Xapian
;;; Copyright © 2023 Arun Isaac <arunisaac@systemreboot.net>
;;;
;;; This file is part of guile-xapian.
;;;
;;; guile-xapian is free software: you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation, either version 2 of the
;;; License, or (at your option) any later version.
;;;
;;; guile-xapian is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with guile-xapian.  If not, see
;;; <https://www.gnu.org/licenses/>.

(define-module (xapian error)
  #:use-module (rnrs conditions)
  #:use-module (rnrs exceptions)
  #:export (raise-xapian-exception))

(define-condition-type &xapian-error &error
  make-xapian-error xapian-error?
  (message xapian-error-message))

(define (raise-xapian-exception message)
  (raise (make-xapian-error message)))
